net.minecraft.client.resources.data

## Class LanguageMetadataSectionSerializer

- java.lang.Object
- - net.minecraft.client.resources.data.BaseMetadataSectionSerializer
  - - net.minecraft.client.resources.data.LanguageMetadataSectionSerializer

- All Implemented Interfaces:
    com.google.gson.JsonDeserializer, MetadataSectionSerializer

      public class LanguageMetadataSectionSerializer
      extends BaseMetadataSectionSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageMetadataSectionSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserialize(com.google.gson.JsonElement par1JsonElement, Type par2Type, com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)`
    `LanguageMetadataSection` | `func_135020_a(com.google.gson.JsonElement par1JsonElement, Type par2Type, com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)`
    `String` | `getSectionName()` The name of this section type as it appears in JSON.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageMetadataSectionSerializer

          public LanguageMetadataSectionSerializer()

  - ### Method Detail

    - #### func_135020_a

          public LanguageMetadataSection func_135020_a(com.google.gson.JsonElement par1JsonElement,
                                              Type par2Type,
                                              com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)

    - #### getSectionName

          public String getSectionName()

      The name of this section type as it appears in JSON.

    - #### deserialize

          public Object deserialize(com.google.gson.JsonElement par1JsonElement,
                           Type par2Type,
                           com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)